<?php 
function thebox_child_styles() {
	wp_deregister_style( 'thebox-style');
	wp_register_style('thebox-style', get_template_directory_uri(). '/style.css');
	wp_enqueue_style('thebox-style', get_template_directory_uri(). '/style.css');
	wp_enqueue_style( 'childtheme-style', get_stylesheet_directory_uri().'/style.css', array('thebox-style') );
}
add_action( 'wp_enqueue_scripts', 'thebox_child_styles' );

function thebox_childtheme_customizer( $wp_customize ) {
	
	// Add postMessage support for site title and description for the Theme Customizer.
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	
	// Accent Color
	$wp_customize->add_setting( 'color_primary', array(
		'default' => '#dc0067',
		'type' => 'option', 
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color_primary', array(
		'label' => __( 'Accent Color', 'thebox' ),
		'section' => 'colors',
		'settings' => 'color_primary',
	) ) );
	
	// Footer Background
	$wp_customize->add_setting( 'color_footer', array(
		'default' => '#353535',
		'type' => 'option', 
		'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
	) );
	
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color_footer', array(
		'label' => __( 'Footer Background', 'thebox' ),
		'section' => 'colors',
		'settings' => 'color_footer',
	) ) );
	
	// The Box Panel
	$wp_customize->add_panel( 'thebox_panel', array(
    	'title' => __( 'Theme Settings', 'thebox' ),
		'priority' => 20,
	) );
	
	// Post Section
	$wp_customize->add_section( 'thebox_post_section' , array(
		'title' => __( 'Post', 'thebox' ),
		'priority' => 10,
		'panel' => 'thebox_panel',
	) );
	
	// Enable Featured Image
	$wp_customize->add_setting( 'thebox_enable_featured_image', array(
        'default' => '',
        'capability' => 'edit_theme_options',
		'type'       => 'option',
		'sanitize_callback' => 'thebox_sanitize_checkbox',
    ) );
   	
	$wp_customize->add_control( 'thebox_enable_featured_image', array(
	    'label'    		=> __( 'Enable Featured Image', 'thebox' ),
	    'section'  		=> 'thebox_post_section',
	    'settings' 		=> 'thebox_enable_featured_image',
	    'type'     		=> 'checkbox',
	) );
	
	// Page Section
	$wp_customize->add_section( 'thebox_page_section' , array(
		'title' => __( 'Page', 'thebox' ),
		'priority' => 15,
		'panel' => 'thebox_panel',
	) );
	
	// Enable Featured Image
	$wp_customize->add_setting( 'thebox_page_featured_image', array(
		'default' => '',
        'capability' => 'edit_theme_options',
		'type'       => 'option',
		'sanitize_callback' => 'thebox_sanitize_checkbox',
    ) );
   	
	$wp_customize->add_control( 'thebox_page_featured_image', array(
	    'label'    		=> __( 'Enable Featured Image', 'thebox' ),
	    'section'  		=> 'thebox_page_section',
	    'settings' 		=> 'thebox_page_featured_image',
	    'type'     		=> 'checkbox',
	) );
	
}
add_action('customize_register', 'thebox_childtheme_customizer');
?>